### Hierarchy

- unknown
  - GetMethodHelpRequest

## Index

### Constructors

- constructor

### Methods

- getMethodName
- serializeBinary
- setMethodName
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetMethodHelpRequest(): GetMethodHelpRequest

- Inherited from jspb.Message.constructor

  #### Returns GetMethodHelpRequest

## Methods

### getMethodName

- getMethodName(): string

- - Defined in src/protobuf/grpc_pb.d.ts:7

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:10

  #### Returns Uint8Array

### setMethodName

- setMethodName(value: string): GetMethodHelpRequest

- - Defined in src/protobuf/grpc_pb.d.ts:8

  #### Parameters

  - ##### value: string

  #### Returns GetMethodHelpRequest

### toObject

- toObject(includeInstance?: boolean): GetMethodHelpRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:11

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetMethodHelpRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetMethodHelpRequest

- - Defined in src/protobuf/grpc_pb.d.ts:14

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetMethodHelpRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetMethodHelpRequest, reader: BinaryReader): GetMethodHelpRequest

- - Defined in src/protobuf/grpc_pb.d.ts:15

  #### Parameters

  - ##### message: GetMethodHelpRequest

  - ##### reader: BinaryReader

  #### Returns GetMethodHelpRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetMethodHelpRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:13

  #### Parameters

  - ##### message: GetMethodHelpRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetMethodHelpRequest ): GetMethodHelpRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:12

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetMethodHelpRequest

  #### Returns GetMethodHelpRequest . AsObject

Generated using TypeDoc